<template>
    <KinesisContainer>
        <section class="plans-comparison">
            <div class="container">
                <div class="section-title">
                    Plans Comparison Table
                </div>
                <div class="packages-box">
                    <div class="pkg-sections">
                        <div class="payment-type">
                            <span>Single Payment</span>
                            <AppCheckbox elId="pay2" @change="onChange" :checked="!isSingle"></AppCheckbox>
                        </div>

                        <div class="pkg-info">
                            <p><span>You are saving up to</span> <span>30%</span> only on Single Payment selection.</p>

                            <p>If the price is not affordable for some reason right now, you are welcome to subscribe by
                                simply switching off the toggle above.</p>
                        </div>

                        <div class="sections-box">
                            <div class="item" v-for="(section, i) in plansData.sections" :key="i">
                                <div class="section-item"
                                     :class="{[section.icon]: true}"
                                >
                                    <img :src="getImgUrl(section.icon)" :alt="section.icon">
                                    <div class="name">
                                        {{section.name}}
                                    </div>
                                </div>
                                <div class="sub-section" v-for="(subsection, i) in section.items"
                                     :key="'sub'+i"
                                     :class="{[section.icon]: true}"
                                >
                                    <div class="name">
                                        {{subsection.name}}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="payment-type bottom">
                            <span>Single Payment</span>
                            <AppCheckbox elId="pay1" @change="onChange" :checked="!isSingle"></AppCheckbox>
                            <div class="save-up">
                                Save up to <span>30%</span>
                            </div>
                        </div>
                    </div>
                    <div class="plan-item" v-for="plan in plansData.plans" :key="plan.id"
                         :class="{chosen: plan.chosen}">
                        <div class="for">{{plan.smallFor}}</div>
                        <div class="head">
                            <div class="name">{{plan.name}}</div>
                            <div class="price" v-if="!plan.custom">
                                <span>${{plan.prices[getPlanPrice][0]}},</span>{{plan.prices[getPlanPrice][1]}}
                                <div class="type">{{isSingle ? '/ single payment' : '/ subscription'}}</div>
                            </div>
                            <div class="custom" v-if="plan.custom">
                                Custom Plans
                            </div>

                            <div class="chosen-box">
                                <div class="save">
                                    Save <span>{{plan.save}}%</span>
                                </div>
                                <button v-ripple="'rgba(84, 149, 255, 0.35)'"
                                        class="select-plan"
                                        @click="selectPlan(plan.id)"
                                        :class="{active: plan.chosen}">Select Plan
                                </button>
                            </div>
                        </div>
                        <div class="sections">
                            <div class="item" v-for="(section, i) in plansData.sections"
                                 :key="i">
                                <div class="section"
                                     :class="{[section.icon]: true}"
                                >
                                    <img :src="getImgUrl(getIconPlan(section.plans, plan.id, section.icon))" alt="*">
                                </div>
                                <div class="sub-section" v-for="(subsection, i) in section.items"
                                     :key="'sub'+i">
                                    <img :src="getImgUrl(getIconPlan(subsection.plans, plan.id, section.icon))" alt="*">
                                </div>
                            </div>

                        </div>

                        <div class="footer">
                            <div class="price" v-if="!plan.custom">
                                <span>${{plan.prices[getPlanPrice][0]}},</span>{{plan.prices[getPlanPrice][1]}}
                                <div class="type">{{isSingle ? '/ single payment' : '/ subscription'}}</div>
                            </div>
                            <div class="custom" v-if="plan.custom">
                                Custom Plans
                            </div>
                            <div class="chosen-box">
                                <button v-ripple="'rgba(84, 149, 255, 0.35)'"
                                        class="select-plan"
                                        @click="selectPlan(plan.id)"
                                        :class="{active: plan.chosen}">Select
                                </button>
                                <div class="save">
                                    Save <span>{{plan.save}}%</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <kinesis-element :strength="-7" class="figure7">
                <img srcset="../../assets/img/backgrounds/figure7.png, ../../assets/img/backgrounds/figure7.2x.png 2x"
                     src="figure7.png" alt="Figure 7">
            </kinesis-element>
            <kinesis-element :strength="14" class="figure8">
                <img srcset="../../assets/img/backgrounds/figure8.png, ../../assets/img/backgrounds/figure8.2x.png 2x"
                     src="figure8.png" alt="Figure 8">
            </kinesis-element>
        </section>
    </KinesisContainer>
</template>

<script>
    import {packageMixin} from "../../mixins/packages";
    import AppCheckbox from "../../components/form/AppCheckbox";
    import {KinesisContainer, KinesisElement} from 'vue-kinesis';

    export default {
        name: "PlansComparison",
        components: {
            AppCheckbox,
            KinesisContainer,
            KinesisElement
        },
        mixins: [packageMixin],
        methods: {
            getIconPlan: function (plans, planId, icon) {
                return this.disableSection(plans, planId) ? 'uncheck' : icon == 'plus' ? 'plus' : 'checkmark'
            }
        }
    }
</script>

<style scoped lang="scss">
    .plans-comparison {
        position: relative;
        margin-top: 400px;
        display: flex;
        justify-content: center;

        .figure7 {
            position: absolute;
            top: 400px;
            right: -300px;
        }

        .figure8 {
            position: absolute;
            top: 450px;
            left: -580px;
        }

        .container {
            width: 1000px;

            .packages-box {
                position: relative;
                margin-top: 88px;
                display: flex;
                align-items: flex-start;
                box-shadow: 0 9px 25px rgba(186, 195, 205, 0.27);
                background-color: #ffffff;
                box-sizing: border-box;
                z-index: 3;

                .pkg-sections {
                    width: 270px;
                    /*background: aliceblue;*/
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: center;
                    border-right: 1px solid #eff5ff;
                    box-sizing: border-box;

                    .payment-type {
                        display: flex;
                        align-items: center;
                        flex-wrap: wrap;
                        margin-top: 42px;
                        width: 200px;

                        &.bottom {
                            border-top: 1px solid #eff5ff;
                            padding: 59px 0 130px 0;
                            margin-top: 6px;
                        }

                        span {
                            color: #4d4d65;
                            font-family: $mainFont, sans-serif;
                            font-size: 18px;
                            font-weight: 700;
                            letter-spacing: 0.8px;
                        }

                        .app-checkbox {
                            margin-left: 23px;
                        }

                        .save-up {
                            width: 96px;
                            height: 22px;
                            line-height: 22px;
                            text-align: center;
                            border-radius: 4px;
                            background-color: #eff5ff;
                            margin-top: 10px;
                            color: #adaeb8;
                            font-family: $secondFont, sans-serif;
                            font-size: 11px;
                            font-weight: 700;

                            span {
                                color: #0263ff;
                                font-size: 14px;
                            }
                        }
                    }

                    .pkg-info {
                        width: 218px;
                        border-radius: 4px;
                        background-color: #f5f9ff;
                        margin-top: 28px;
                        color: #adaeb8;
                        font-family: $secondFont, sans-serif;
                        font-size: 11px;
                        font-weight: 700;
                        line-height: 20px;
                        padding: 9px 16px 27px 16px;
                        box-sizing: border-box;

                        p {
                            margin: 5px 0 0 0;

                            & + p {
                                margin-top: 25px;
                            }
                        }

                        span {
                            color: #4d4d65;

                            & + span {
                                color: #0263ff;
                                font-size: 14px;
                            }
                        }
                    }

                    .sections-box {
                        padding: 0 6px;
                        width: 100%;
                        margin-top: 25px;

                        .section-item {
                            height: 53px;
                            display: flex;
                            flex-wrap: wrap;
                            align-items: center;
                            padding-left: 19px;

                            &.plus {
                                margin-top: 54px;
                            }

                            .name {
                                height: 16px;
                                color: #4d4d65;
                                font-family: $mainFont, sans-serif;
                                font-size: 15px;
                                font-weight: 700;
                                letter-spacing: 0.58px;
                                margin-left: 11px;
                            }
                        }

                        .sub-section {
                            width: 100%;
                            height: 53px;
                            color: #8590a4;
                            font-family: $secondFont, sans-serif;
                            font-size: 13px;
                            font-weight: 400;
                            display: flex;
                            align-items: center;
                            padding-left: 28px;
                            box-sizing: border-box;

                            &:nth-child(even) {
                                background-color: rgba(200, 200, 207, 0.07);
                            }
                        }
                    }
                }

                .plan-item {
                    position: relative;
                    width: calc((100% - 270px) / 4);
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: center;

                    &.chosen {
                        z-index: 1;

                        &:before {
                            position: absolute;
                            top: -14px;
                            left: 0;
                            display: block;
                            content: '';
                            width: 100%;
                            height: calc(100% + 75px);
                            box-shadow: 0 65px 71px rgba(186, 195, 205, 0.18), 0 59px 109px rgba(186, 195, 205, 0.16);
                            border: 3px solid #0263ff;
                            background-color: #ffffff;
                            z-index: 1;
                            box-sizing: border-box;
                            border-radius: 2px;
                        }

                        & > * {
                            z-index: 2;
                        }

                        .for {
                            color: #0f0f0f;
                            font-size: 11px;
                        }

                        .head {
                            margin-top: 53px;
                        }
                    }

                    &:not(:last-child) {
                        border-right: 1px solid #eff5ff;
                    }

                    .for {
                        margin-top: 15px;
                        color: #c8c8cf;
                        font-family: $secondFont, sans-serif;
                        font-size: 9px;
                        font-weight: 400;
                        letter-spacing: 3.9px;
                        text-transform: uppercase;
                    }

                    .head {
                        margin-top: 55px;
                        width: 140px;

                        .name {
                            color: #0f0f0f;
                            font-family: $secondFont, sans-serif;
                            font-size: 27px;
                            font-weight: 700;
                            letter-spacing: 1.6px;
                            text-transform: uppercase;
                            text-align: center;
                        }

                        .price {
                            color: #0263ff;
                            font-family: $mainFont, sans-serif;
                            font-size: 18px;
                            font-weight: 700;
                            letter-spacing: 0.6px;
                            text-align: center;
                            display: flex;
                            flex-wrap: wrap;
                            justify-content: center;
                            margin-top: 10px;

                            span {
                                font-size: 20px;
                            }

                            .type {
                                width: 100%;
                                color: #c8c8cf;
                                font-size: 10px;
                                margin-left: 8px;
                            }
                        }

                        .custom {
                            height: 34px;
                            color: #0263ff;
                            font-family: $mainFont, sans-serif;
                            font-size: 20px;
                            font-weight: 700;
                            letter-spacing: 0.6px;
                            text-align: center;
                            margin-top: 10px;
                        }

                        .chosen-box {
                            margin-top: 27px;
                            width: 100%;
                            text-align: center;
                            border-bottom: 1px solid #eff5ff;
                            padding-bottom: 25px;

                            .save {
                                color: #adaeb8;
                                font-family: $secondFont, sans-serif;
                                font-size: 11px;
                                font-weight: 700;
                                border-bottom: 1px dashed #4d4d65;
                                display: inline-block;

                                span {
                                    color: #4d4d65;
                                    font-size: 13px;
                                }
                            }

                            .select-plan {
                                width: 100%;
                                height: 38px;
                                border-radius: 19px;
                                border: 2px solid #0263ff;
                                background-color: #ffffff;
                                color: #4d4d65;
                                font-family: $mainFont, sans-serif;
                                font-size: 16px;
                                font-weight: 700;
                                letter-spacing: 0.58px;
                                margin-top: 13px;

                                &.active {
                                    background-color: #0263ff;
                                    color: #ffffff;
                                }

                                &:hover {
                                    cursor: pointer;
                                }
                            }
                        }
                    }

                    .sections {
                        width: 100%;
                        margin-top: 25px;
                        padding: 0 6px;

                        .section {
                            height: 53px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            &.plus {
                                margin-top: 54px;
                            }
                        }

                        .sub-section {
                            height: 53px;
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            &:nth-child(even) {
                                background-color: rgba(200, 200, 207, 0.07);
                            }
                        }
                    }

                    .footer {
                        width: 140px;
                        border-top: 1px solid #eff5ff;
                        padding-top: 53px;
                        margin-top: 6px;

                        .price {
                            color: #0263ff;
                            font-family: $mainFont, sans-serif;
                            font-size: 18px;
                            font-weight: 700;
                            letter-spacing: 0.6px;
                            text-align: center;
                            display: flex;
                            flex-wrap: wrap;
                            justify-content: center;
                            margin-top: 10px;

                            span {
                                font-size: 20px;
                            }

                            .type {
                                width: 100%;
                                color: #c8c8cf;
                                font-size: 10px;
                                margin-left: 8px;
                            }
                        }

                        .custom {
                            height: 34px;
                            color: #0263ff;
                            font-family: $mainFont, sans-serif;
                            font-size: 20px;
                            font-weight: 700;
                            letter-spacing: 0.6px;
                            text-align: center;
                            margin-top: 10px;
                        }

                        .chosen-box {
                            margin-top: 22px;
                            width: 100%;
                            text-align: center;

                            .select-plan {
                                width: 100%;
                                height: 38px;
                                border-radius: 19px;
                                border: 2px solid #0263ff;
                                background-color: #ffffff;
                                color: #4d4d65;
                                font-family: $mainFont, sans-serif;
                                font-size: 16px;
                                font-weight: 700;
                                letter-spacing: 0.58px;

                                &.active {
                                    background-color: #0263ff;
                                    color: #ffffff;
                                }

                                &:hover {
                                    cursor: pointer;
                                }
                            }

                            .save {
                                color: #adaeb8;
                                font-family: $secondFont, sans-serif;
                                font-size: 11px;
                                font-weight: 700;
                                border-bottom: 1px dashed #4d4d65;
                                display: inline-block;
                                margin-top: 13px;

                                span {
                                    color: #4d4d65;
                                    font-size: 13px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
</style>
